xmlcmd_gxml.h File Reference
`#include <gwenhywfar/xmlcmd.h>`
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/xml.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API void | GWEN_XmlCommanderGwenXml_EnterDocNode (GWEN_XMLCOMMANDER *cmd, GWEN_XMLNODE *xmlNode)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_XmlCommanderGwenXml_GetCurrentDbGroup (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_XMLNODE * | GWEN_XmlCommanderGwenXml_GetCurrentDocNode (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_XmlCommanderGwenXml_GetCurrentTempDbGroup (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_XmlCommanderGwenXml_GetDbRoot (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_XMLNODE * | GWEN_XmlCommanderGwenXml_GetDocRoot (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_XmlCommanderGwenXml_GetTempDbRoot (const GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API void | GWEN_XmlCommanderGwenXml_LeaveDocNode (GWEN_XMLCOMMANDER *cmd)
GWENHYWFAR_API GWEN_XMLCOMMANDER * | GWEN_XmlCommanderGwenXml_new (GWEN_XMLNODE *documentRoot, GWEN_DB_NODE *dbRoot)
GWENHYWFAR_API void | GWEN_XmlCommanderGwenXml_SetCurrentDbGroup (GWEN_XMLCOMMANDER *cmd, GWEN_DB_NODE *db)
GWENHYWFAR_API void | GWEN_XmlCommanderGwenXml_SetCurrentDocNode (GWEN_XMLCOMMANDER *cmd, GWEN_XMLNODE *n)
GWENHYWFAR_API void | GWEN_XmlCommanderGwenXml_SetCurrentTempDbGroup (GWEN_XMLCOMMANDER *cmd, GWEN_DB_NODE *db)
GWENHYWFAR_API void | GWEN_XmlCommanderGwenXml_SetTempDbRoot (GWEN_XMLCOMMANDER *cmd, GWEN_DB_NODE *db)

## Function Documentation

## GWEN_XmlCommanderGwenXml_EnterDocNode()

GWENHYWFAR_API void GWEN_XmlCommanderGwenXml_EnterDocNode | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_XMLNODE * | xmlNode )

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_GetCurrentDbGroup()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_XmlCommanderGwenXml_GetCurrentDbGroup | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_GetCurrentDocNode()

GWENHYWFAR_API GWEN_XMLNODE * GWEN_XmlCommanderGwenXml_GetCurrentDocNode | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_GetCurrentTempDbGroup()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_XmlCommanderGwenXml_GetCurrentTempDbGroup | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_GetDbRoot()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_XmlCommanderGwenXml_GetDbRoot | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_GetDocRoot()

GWENHYWFAR_API GWEN_XMLNODE * GWEN_XmlCommanderGwenXml_GetDocRoot | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_GetTempDbRoot()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_XmlCommanderGwenXml_GetTempDbRoot | ( | const GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_LeaveDocNode()

GWENHYWFAR_API void GWEN_XmlCommanderGwenXml_LeaveDocNode | ( | GWEN_XMLCOMMANDER * | cmd | ) |

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_new()

GWENHYWFAR_API GWEN_XMLCOMMANDER * GWEN_XmlCommanderGwenXml_new | ( | GWEN_XMLNODE * | documentRoot,
|  | GWEN_DB_NODE * | dbRoot )

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_SetCurrentDbGroup()

GWENHYWFAR_API void GWEN_XmlCommanderGwenXml_SetCurrentDbGroup | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_SetCurrentDocNode()

GWENHYWFAR_API void GWEN_XmlCommanderGwenXml_SetCurrentDocNode | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_XMLNODE * | n )

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_SetCurrentTempDbGroup()

GWENHYWFAR_API void GWEN_XmlCommanderGwenXml_SetCurrentTempDbGroup | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_XmlCommanderGwenXml_SetTempDbRoot()

GWENHYWFAR_API void GWEN_XmlCommanderGwenXml_SetTempDbRoot | ( | GWEN_XMLCOMMANDER * | cmd,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.